Skip to content

Live Stream Rankings - Top Trending Products

Introduction

Retrieve data for TikTok live stream trending product rankings

  • Supports filtering parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /live/v1/rank/topProduct

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoDefault: 1
pagesizeintegerNoDefault: 10

page * pagesize <= 500

pagesize range [1, 100]

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
category_idintegerNoProduct category (Level 1)
date_infoobjectNoDate information: daily, weekly, monthly

region range: ['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']

orderby Optional Values

FieldRequiredDescription
units_soldNoSales volume (desc)
gmvNoRevenue (desc)
live_countNoLive session count (desc)

Request Example

bash
curl 'https://openapi.fastmoss.com/live/v1/rank/topProduct' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "date_info": {
        #     "type": "day",
        #     "value": "2026-04-01"
        # },
        "date_info": {
            "type": "week",
            "value": "2026-13"
        }
        # ,
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-04"
        # }
    },
     "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

Total number of results

data.list

FieldTypeDescription
productobjectProduct information
shopobjectShop information
top_livearray[object]Top sales live streams
units_soldintegerLive stream sales volume
gmvintegerLive stream revenue
usd_gmvintegerLive stream revenue (USD)
currencystringCurrency
live_countintegerLive session count

data.list:product

FieldTypeDescription
product_idstringProduct ID
titlestringProduct title
coverstringProduct cover URL
real_pricestringProduct price
currencystringCurrency
regionstringCountry/Region
categoryobjectProduct category

data.list:product:category

FieldTypeDescription
l1objectLevel 1 category
l2objectLevel 2 category
l3objectLevel 3 category

data.list:shop

FieldTypeDescription
seller_idstringShop ID
namestringShop name
regionstringCountry/Region
avatarstringShop logo URL

data.list:top_live

FieldTypeDescription
room_idstringLive stream room ID
titlestringLive stream title
coverstringLive stream cover URL
gmvintegerLive stream revenue
units_soldintegerLive stream sales volume
currencystringCurrency
regionstringCountry/Region

Response Example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product": {
          "product_id": "1729707172352594230",
          "title": "BASED Leave-in Conditioner | Instant Hydration & Anti-Frizz | Simple, Effective, BASED.",
          "cover": "https://s.500fd.com/tt_product/413c08135c3f48e480af5dd9aa5f60c2~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
          "region": "US",
          "currency": "USD",
          "real_price": "$17.00",
          "category": {
            "l1": {
              "id": 14,
              "name": "Beauty & Personal Care"
            },
            "l2": {
              "id": 848904,
              "name": "Haircare & Styling"
            },
            "l3": {
              "id": 601469,
              "name": "Shampoo & Conditioner"
            }
          }
        },
        "shop": {
          "seller_id": "7495079418085345590",
          "name": "BASED",
          "avatar": "https://s.500fd.com/tt_shop/c4e48f5ff0b242968e1d6212f3ab93f0~tplv-omjb5zjo8w-resize-png:300:300.png",
          "region": "US"
        },
        "rank_category": {
          "category_id": "14",
          "name": "Beauty & Personal Care"
        },
        "top_live": [
          {
            "room_id": "7619504259826060063",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/55014e26dbf474c4a27a302cea499131~tplv-tiktokx-cropcenter:720:720.jpeg",
            "gmv": 14075,
            "units_sold": 563,
            "currency": "USD"
          },
          {
            "room_id": "7619504259826060063",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/55014e26dbf474c4a27a302cea499131~tplv-tiktokx-cropcenter:720:720.jpeg",
            "gmv": 13850,
            "units_sold": 554,
            "currency": "USD"
          }
        ],
        "live_units_sold": 2985,
        "live_gmv": 74625,
        "live_usd_gmv": 74625,
        "live_count": 17
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-13"
  },
  "message": "",
  "timestamp": 1777355755,
  "request_id": "7582c9e8-dc04-101a-5d39-cdd032716713"
}